# Design Fonts

## List fonts which can be used with a design(template)

List all fonts  which can be used to on a design (template).

This endpoint makes an HTTP GET request to retrieve a list of fonts from the specified API endpoint.

### **Request**

* Method: GET
* Endpoint: `https://api.thebrief.ai/v1/designFonts`
* Query Parameters:
  * `templateHash` (string, required): The hash of the design(template).

### Response

Upon a successful execution with a status code of 200, the response will be in JSON format and will include a "response" object containing an array objects with "fontName" and array of "variants" properties,.

Request example:

```
{
    "response": [
        {
            "fontName": "ABeeZee",
            "variants": [
                {
                    "weight": "400",
                    "subFamily": "Regular"
                },
                {
                    "weight": "400italic",
                    "subFamily": "Regular Italic"
                }
            ]
        },
        {
            "fontName": "Abel",
            "variants": [
                {
                    "weight": "400",
                    "subFamily": "Regular"
                }
            ]
        },
        {
            "fontName": "Abril Fatface",
            "variants": [
                {
                    "weight": "400",
                    "subFamily": "Regular"
                }
            ]
        }
    ]
}
```

These fontName values should be used with export-with-changes endpoint for FONTFAMILY attribute.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/design-fonts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
